# This Python file uses the following encoding: utf-8
import unidecode

nutrientsTranslations = {
    'ac. grasos trans': 'Trans Fatty Acids',
    'acidos grasos trans': 'Trans Fatty Acids',
    'ac. pantotenico':'Vitamin B5',
    'ac.pantotenico':'Vitamin B5',
    'acido pantotenico': 'Vitamin B5',
    'acesulfame de potassio':'Acesulfame Potassium',
    'acesulfame de potasio':'Acesulfame Potassium',
    'acesulfamo de potasio':'Acesulfame Potassium',
    'acesulfano de potasio':'Acesulfame Potassium',
    'acido folico':'Vitamin B9',
    'acido linoleico':'Linoleic Acid',
    'acidos grasos omega 3 total':'Omega-3',
    'acidos grasos omega 6 total':'Omega-6',
    'almidon':'Starch',
    'aspartamo':'Aspartame',
    'azucares': 'Sugar',
    'azucar':'Sugar',
    'azucar anadida':'Added Sugar',
    'azucares de alcohol':'Sugar Alcohols',
    'azucares totales':'Sugar',
    'biotina':'Vitamin B7',
    'cafeina':'Caffeine',
    'cloruro':'Chloride',
    'calcio':'Calcium',
    'colesterol':'Cholesterol',
    'cobre':'Copper',
    'cromo':'Chromium',
    'dha':'DHA',
    'dha + epa':'DHA + EPA',
    'energia': 'Energy',
    'valor energetico': 'Energy',
    'epa': 'EPA',
    'estevia':'Stevia',
    'fibra alimentaria':'Dietary fiber',
    'fibra dietaria total':'Dietary fiber',
    'fibra dietetica':'Dietary fiber',
    'fibra dietetica total':'Dietary fiber',
    'fibra insoluble':'Insoluble fiber',
    'fibra soluble':'Soluble fiber',
    'fluoruro':'Fluoride',
    'fosforo':'Phosphorus',
    'grasas monoinsaturadas':'Monounsaturated Fats',
    'monoinsaturadas':'Monounsaturated Fats',
    'grasas polinsaturadas':'Polyunsaturated Fats',
    'polinsaturadas':'Polyunsaturated Fats',
    'poliinsaturadas':'Polyunsaturated Fats',
    'grasas saturadas':'Saturated Fats',
    'saturadas':'Saturated Fats',
    'grasas totales':'Fats',
    'grasas':'Fats',
    'hidratos de carbono disp.':'Carbohydrates',
    'hidratos de carbono':'Carbohydrates',
    'hierro':'Iron',
    'l-carnitina l-tartrata':'L-carnitine L-tartrate',
    'lactosa':'Lactose',
    'magnesio':'Magnesium',
    'manganeso': 'Manganese',
    'niacina':'Niacin',
    'omega 6':'Omega-6',
    'polialcoholes': 'Sugar alcohol',
    'potasio':'Potassium',
    'proteinas':'Protein',
    'riboflavina':'Vitamin B2',
    'riboflavina b2':'Vitamin B2',
    'sacarosa':'Sucrose',
    'sal':'Salt',
    'selenio': 'Selenium',
    'sodio':'Sodium',
    'sucralosa':'Sucralose',
    'taurina':'Taurine',
    'tiamina':'Vitamin B1',
    'tiamina b1':'Vitamin B1',
    'vit b5':'Vitamin B5',
    'vit b6':'Vitamin B6',
    'vit. b6':'Vitamin B6',
    'vit. b12':'Vitamin B12',
    'vit. b3':'Vitamin B3',
    'vitamina a':'Vitamin A',
    'vitamina b1':'Vitamin B1',
    'vitamina b12':'Vitamin B12',
    'vitamina b2':'Vitamin B2',
    'vitamina b3':'Vitamin B3',
    'vitamina b5':'Vitamin B5',
    'vitamina b6':'Vitamin B6',
    'vitamina b9':'Vitamin B9',
    'vitamina b9 acido folico':'Vitamin B9',
    'vitamina c':'Vitamin C',
    'vitamina d':'Vitamin D',
    'vitamina e':'Vitamin E',
    'vitamina h':'Vitamin H',
    'vitamina k':'Vitamin K',
    'zinc':'Zinc',
    'yodo':'Iodine',
    }

def translate(term):
    term = unidecode.unidecode(term.lower())
    return nutrientsTranslations[term]
        
def getSQLUpdates():
    queries = []
    for key in nutrientsTranslations:
        query = 'UPDATE moogliDB.Nutrients SET name="' + nutrientsTranslations[key] + '" WHERE name="' + key + '";'
        queries.append(query)
    with open('updateNutrients.sql', 'w') as filehandle:
        for query in queries:
            filehandle.write('%s\n' % query)
